﻿/* main page stuff 
    background: #242323;*/
html, body {
    margin: 0;
    background: #d1feff;
    color: #000;
    font-family: sans-serif;
}

a, a:hover, a:focus, a:active {
    text-decoration: none;
    color: inherit;
}

#page-container {
    margin: 0;
    position: relative;
    min-height: 100vh;
    height: auto;
    width: 100%;
    min-width: 980px;
}

#header {
    width: 100%;
    height: 75px;
    background: #a7e9ff;
    margin-bottom: 5px;
    border-bottom: 1px solid #55d9ff;
}
#hamburger-menu {
    position: absolute;
    top: 77px;
    left: 0;
    background: #000;
    opacity: 0.75;
}
.hamburger-menu-item {
    padding: 5px;
    padding-left: 25px;
    padding-right: 25px;
    cursor: pointer;
    font-size: 21px;
    border-bottom: 1px solid #000;
}
    .hamburger-menu-item:hover {
        border-bottom: 1px solid #5a5858;
    }
#hamburger-menu-btn {
    margin-top: 20px;
    margin-left: 20px;
    float: left;
    height: 35px;
    cursor: pointer;
}
#header-logo {
    height: 70px;
    margin-top: 3px;
    float: left;
    cursor: pointer;
}

#footer {
    position: absolute;
    background: #d1feff;
    width: 100%;
    bottom: 0;
    border-top: 1px solid #3a3838;
    border-bottom: 1px solid #3a3838;
}

#footer a
{
    text-decoration:underline;
}

#footer-copyright {
    padding: 3px;
    width: 100%;
    text-align: center;
    color: #5a5858;
    box-sizing: border-box;
}

/* front page stuff */

.front-page-promo-item {
    position: relative;
    margin-bottom: 10px;
    width: 100%;
    cursor: pointer;
    height: 256px;
    border: 1px solid #fdff86;
    box-sizing: border-box;
    background: #ffffb0;
    border-radius: 5px;
}
.front-page-promo-item-img {
    position: relative;
    width: 256px;
    height: 256px;
    cursor: pointer;
    float: left;
}
.front-page-promo-item-desc {
    position: relative;
    width: 400px;
    height: 256px;
    box-sizing: border-box;
    float: left;
    padding: 15px;
    text-align: center;
}
.front-page-promo-item-desc-title {
    width: 100%;
    font-size: 18px;
    font-weight: 600;
    text-decoration:underline;
}
.front-page-promo-item-desc-text {
    width: 100%;
}
.front-page-promo-item-price-box {
    position: relative;
    width: 322px;
    height: 256px;
    box-sizing: border-box;
    float: left;
    text-align: center;
}
.front-page-promo-item-sku {
    float: left;
    width: 300px;
    text-align: left;
    color: #6a6868;
}
.front-page-promo-item-price {
    padding-top: 50px;
    font-size: 38px;
    font-family: sans-serif;
    color: #000;
    border-bottom: 1px solid #5a5858;
}
.front-page-promo-item .amazon-link {
    width: 150px;
    font-size: 18px;
    text-align: left;
}

.front-page-image {
    width: 250px;
    height: 250px;
    margin: 3px;
}

#content {
    margin: auto;
    padding-bottom: 50px;
    width: 980px;
    box-sizing: border-box;
    overflow: hidden;
}

#breadcrumb {
    margin: auto;
    width: 980px;
    color: #1500ff;
    background: #ffffb0;
    padding: 10px;
    padding-left: 15px;
    box-sizing: border-box;
}

/* sku page stuff */

.sku-page-content {
    background: #ffffb0;
    padding: 15px;
}

.sku-page-header
{
    width: 100%;
    min-height: 500px;
    float: left;
}

.sku-page-header-image-viewer {
    width: 50%;
    float:left;
}

.sku-page-header-desc {
    box-sizing:border-box;
    padding: 25px;
    font-size: 21px;
    width: 50%;
    float: left;
}

.sku-page-header-price {
    padding-top: 50px;
    font-size: 38px;
    font-family: sans-serif;
    border-bottom: 1px solid #5a5858;
    text-align: right;
    padding-bottom: 10px;
}

.sku-page-available-at {
    padding: 25px;
    box-sizing: border-box;
    margin-top: 25px;
    width: 100%;
    background: #ffffb0;
    float: left;
}
    .sku-page-available-at .available-at-item {
        text-align: center;
        margin-right: 50px;
    }

    .sku-page-available-at .amazon-link {
        width: 150px;
        font-size: 18px;
        text-align: center;
    }

.sku-page-details-header
{
    width: 100%;
    font-size: 21px;
    text-align: center;
    padding: 15px;
    box-sizing:border-box;
    float: left;
}
.sku-page-details-section {
    width: 100%;
    background: #262626;
    float: left;
    margin-top: 25px;
    padding: 15px;
    box-sizing: border-box;
}

.sku-page-details-section-header
{
    font-weight: 600;
    font-size: 21px;
}

.sku-page-details-table {
    margin-top: 15px;
    width: 100%;
    box-sizing: border-box;
}
    .sku-page-details-table td {
        padding: 10px;
        box-sizing: border-box;
    }

    .sku-page-details-table tr:nth-child(even) {
        background: #262626;
    }

    .sku-page-details-table tr:nth-child(odd) {
        background: #363636;
    }
.sku-page-details-table-cell-header {
    font-weight: 600;
    width: 200px;
}

.sku-page-details-table-cell-details {
    text-align: center;
}
/* image viewer */
#image-viewer {
    width: 100%;
}
#image-viewer-main {
    width: 100%;
}
#image-viewer-icon-container {
    width: 100%;
}
.image-viewer-icon {
    width: 56px;
    height: 56px;
    margin: 5px;
    cursor: pointer;
    float: left;
    padding: 3px;
    border: 1px solid transparent;
    background: #d1feff;
}
.image-viewer-icon.selected {
        border: 1px solid #ff7500;
    }